@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600;700&display=swap');

/* 
# Things that i couldn't figure out
- How to handle dynamic widht / height change at smaller screens (covers 90% of the screen below 720px) without media queries
- How to handle header font size for mobile screens (Breaks at 290px)
- How to solve the centering problem inside the article header without using flex for everything
- How to handle selectors.



How to make it so text doesn't break
But then comes -> Other font sizes are not dynamic to this.
Don't we want to whole site to scale down - up in the same ratio?
+ Some special cases for smaller screens like navbars and grid sizes ect
?Do i really need to specify each font-size for everything for every case? Even with clamp

Some Width / height math
?How to actually handle this?
width: 520px;
height: 730px;
*/


*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --grey-700: hsl(0, 0%, 20%);
    --grey-800: hsl(0, 0%, 12%);
    --grey-900: hsl(0, 0%, 8%);
    --highlight: hsl(75, 94%, 57%);
}

body {
    min-height: 100dvh;

    display: grid;
    place-items: center;

    padding: 1.5rem;

    background: var(--grey-900);
    color: white;

    font-family: 'Inter', sans-serif;
}

.links-card {
    width: min(100%, 384px);

    padding: 2.5rem;

    background-color: var(--grey-800);
    border-radius: 1rem;

    text-align: center;
}

.links-card header {
    display: flex;
    flex-direction: column;
    align-items: center;

    gap: 0.5rem;
}

.links-card img {
    width: 88px;
    height: 88px;

    border-radius: 50%;
}

.links-card h1 {
    font-size: 1.5rem;
    line-height: 1.2;
}

.links-card address {
    color: var(--highlight);

    font-size: 0.875rem;
    font-style: normal;
    font-weight: 700;
}

.links-card p {
    margin-top: 1.5rem;

    font-size: 0.875rem;
    line-height: 1.5;
}

.links-card ul {
    display: grid;
    gap: 1rem;

    margin-top: 1.5rem;

    list-style: none;
}

.links-card a {
    display: flex;
    align-items: center;
    justify-content: center;

    min-height: 45px;

    border-radius: 0.5rem;

    background-color: var(--grey-700);

    color: white;
    font-weight: 700;
    text-decoration: none;

    transition:
        background-color 150ms ease,
        color 150ms ease;
}

.links-card a:hover,
.links-card a:focus-visible {
    background-color: var(--highlight);
    color: var(--grey-900);
}